GET /api/v3/meter/{meterId}/template

Retrieves all templates for a particular meter

GetMeterTemplatesV3 Permissions: Meters (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
meterId The meter identifier for which template values are being retrieved integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

MeterTemplateResponse
Property Description Type
account MeterAccountChild
MeterAccountChild properties
Property Description Type
accountCode The code of the MeterAccount for this MeterAccount meter string
accountGeneralLedger GeneralLedgerChild
GeneralLedgerChild properties
Property Description Type
generalLedgerCode string
generalLedgerId integer (int32)
generalLedgerInfo string
accountId The MeterAccount identifier for this MeterAccount meter integer (int32)
accountInfo The info of the MeterAccount for this MeterAccount meter string
accountMeterId The MeterAccount meter identifier integer (int32)
active Indicates whether the Account is active or inactive boolean
dataAccessReleaseId The data access release identifier for this MeterAccount meter relationship, null if there is no release integer (int32)
endDate The ending date and time for this MeterAccount meter relationship string (date-time)
hasCalculatedMeter Indicates whether the Account has a child calculated meter boolean
hasSplitChildMeter Indicates whether the Account has a child split meter boolean
hasSplitParentMeter Indicates whether the Account is a recipient of a split boolean
hasSubAccount Indicates whether the Account has a sub-account boolean
isSubAccount Indicates whether the Account is a sub-account boolean
meterGeneralLedger GeneralLedgerChild
GeneralLedgerChild properties
Property Description Type
generalLedgerCode string
generalLedgerId integer (int32)
generalLedgerInfo string
startDate The beginning date and time for this MeterAccount meter relationship string (date-time)
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
vendorType VendorTypeChild
VendorTypeChild properties
Property Description Type
vendorTypeCode The vendor type code string
vendorTypeId The vendor type identifier integer (int32)
beginDate The begin date for the template on the account meter string (date-time)
displayOrder The meter template display order integer (int32)
endDate The end date for the template on the account meter string (date-time)
formTemplateId The form template identifier integer (int32)
template TemplateChild
TemplateChild properties
Property Description Type
templateCode string
templateId integer (int32)
templateInfo string
Example Response application/json
[
  {    "account": {      "accountCode": "string",      "accountGeneralLedger": {},      "accountId": 1,      "accountInfo": "string",      "accountMeterId": 1,      "active": false,      "dataAccessReleaseId": 1,      "endDate": "2026-03-30",      "hasCalculatedMeter": false,      "hasSplitChildMeter": false,      "hasSplitParentMeter": false,      "hasSubAccount": false,      "isSubAccount": false,      "meterGeneralLedger": {},      "startDate": "2026-03-30",      "vendor": {},      "vendorType": {}
    },    "beginDate": "2026-03-30",    "displayOrder": 1,    "endDate": "2026-03-30",    "formTemplateId": 1,    "template": {      "templateCode": "string",      "templateId": 1,      "templateInfo": "string"
    }
  }
]